FROM openjdk:8


RUN mkdir -p /blade/smartparty

WORKDIR /blade/smartparty

EXPOSE 9528

ADD ./smart-party.jar ./app.jar

ENTRYPOINT ["java", "-Djava.security.egd=file:/dev/./urandom", "-jar", "app.jar"]

CMD ["--spring.profiles.active=prod"]
